> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve All Jobs

GET all Jobs instances. Returns a paginated list of Jobs.


## OpenAPI

````yaml GET /api/v1/jobs
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/jobs:
    get:
      summary: GET jobs instances
      operationId: get_jobs_instances
      parameters:
        - description: Page number. Defaults to 1. See Pagination for more details.
          in: query
          name: page
          required: false
          schema:
            default: 1
            format: int32
            type: integer
        - description: >-
            Number of requested paginated records. Defaults to 50. See
            Pagination for more details.
          in: query
          name: per_page
          required: false
          schema:
            default: 20
            format: int32
            type: integer
        - description: >-
            Optional Mongo-style JSON sort clause, e.g., `sort={"created_at":
            true}` to sort by created_at (descending)
          in: query
          name: sort
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
        - description: >-
            Optional Mongo-style JSON filter clause, e.g., `where={"$uri":
            {"$eq": "/api/v1/samples/0ee172af60e84f61"}}`
          in: query
          name: where
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/jobs'
                type: array
          description: OK
components:
  schemas:
    jobs:
      properties:
        $uri:
          example: /api/v1/jobs/0d77065796f8d173
          pattern: ^/api/v1/jobs/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        analysis_type:
          description: >-
            The type of analysis. See [the analysis
            resource](/api/analysis-resource) for more details.
          title: Analysis Type
          type: string
        created_at:
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
          format: date-time
          title: Created At
          type: string
        draft:
          description: >-
            Whether the job is an unpublished draft. Draft jobs are only visible
            to their creator.
          title: Draft
          type: boolean
        job_args_schema:
          additionalProperties: true
          description: >-
            The JSON schema for the arguments taken by the job (can be an empty
            object, i.e., `{}`).
          title: Job Args Schema
          type: object
        name:
          description: >-
            The name of the job (this is displayed in the dropdown on the
            analysis page of the One Codex web application).
          title: Name
          type: string
        public:
          description: >-
            Whether the job is publicly available. For most jobs this will be
            `true`. Custom, private jobs are also available, and will only be
            visible to users whose samples (or samples shared with them) have
            been analyzed using that job.
          title: Public
          type: boolean
      required:
        - $uri
        - analysis_type
        - created_at
        - draft
        - job_args_schema
        - name
        - public
      title: jobs
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.